Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 628734 - sys-fs/cryptmount-5.2.2 : dmutils.c:(.text+<snip>): undefined reference to makedev
Summary: sys-fs/cryptmount-5.2.2 : dmutils.c:(.text+<snip>): undefined reference to m...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Igor Savlook
URL:
Whiteboard: ~arch only
Keywords: PullRequest
Depends on:
Blocks: glibc-sysmacros
  Show dependency tree
 
Reported: 2017-08-23 16:49 UTC by Toralf Förster
Modified: 2019-03-18 18:27 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.92 KB, text/plain)
2017-08-23 16:49 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,321.53 KB, text/plain)
2017-08-23 16:50 UTC, Toralf Förster
Details
environment (environment,112.40 KB, text/plain)
2017-08-23 16:50 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,16.93 KB, application/x-bzip)
2017-08-23 16:50 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,8.08 KB, application/x-bzip)
2017-08-23 16:50 UTC, Toralf Förster
Details
sys-fs:cryptmount-5.2.2:20170823-104333.log (sys-fs:cryptmount-5.2.2:20170823-104333.log,17.59 KB, text/plain)
2017-08-23 16:50 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,29.37 KB, application/x-bzip)
2017-08-23 16:50 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-08-23 16:49:56 UTC
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -Wall  -Wl,-O1 -Wl,--as-needed -o cryptmount cryptmount.o armour.o armour-builtin.o armour-gcry.o armour-luks.o blowfish.o dmutils.o fsutils.o looputils.o tables.o utils.o cmtesting.o  -lgcrypt -ldevmapper -lm 
dmutils.o: In function `devmap_create':
dmutils.c:(.text+0x233): undefined reference to `makedev'
dmutils.o: In function `devmap_remove':
dmutils.c:(.text+0x538): undefined reference to `major'
dmutils.c:(.text+0x57c): undefined reference to `minor'

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-gnome-systemd_20170815-183537

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy3 (fallback)
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
  [2]   ruby22 (with Rubygems)
java-config:
The following VMs are available for generation-2:


emerge -qpv sys-fs/cryptmount
[ebuild  N    ] sys-fs/cryptmount-5.2.2  USE="nls ssl systemd"
Comment 1 Toralf Förster gentoo-dev 2017-08-23 16:49:59 UTC
Created attachment 490280 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-08-23 16:50:02 UTC
Created attachment 490282 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-08-23 16:50:05 UTC
Created attachment 490284 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-08-23 16:50:08 UTC
Created attachment 490286 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-08-23 16:50:12 UTC
Created attachment 490288 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-08-23 16:50:15 UTC
Created attachment 490290 [details]
sys-fs:cryptmount-5.2.2:20170823-104333.log
Comment 7 Toralf Förster gentoo-dev 2017-08-23 16:50:18 UTC
Created attachment 490292 [details]
temp.tbz2
Comment 8 Toralf Förster gentoo-dev 2017-08-23 17:43:09 UTC
BTW:
 # Error: Bugzilla error: There is no user named 'sav@alzari.pw'. Either you mis-typed the name or that user has not yet registered for a Gentoo's Bugzilla account.
Comment 9 Andreas K. Hüttel gentoo-dev 2017-10-20 20:30:19 UTC
Ping - this is now blocking glibc-2.25 stabilization.
Comment 10 Jonas Stein gentoo-dev 2017-10-20 21:41:46 UTC
The ticket was not assigned correctly. Reassign to proxied maintainer now.
Comment 11 Larry the Git Cow gentoo-dev 2019-03-18 18:27:27 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef75fc19d32a532430f50d1b732a385d1dbde991

commit ef75fc19d32a532430f50d1b732a385d1dbde991
Author:     Conrad Kostecki <conrad@kostecki.com>
AuthorDate: 2019-03-07 21:49:35 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2019-03-18 18:27:13 +0000

    sys-fs/cryptmount: bump to version 5.3.1
    
    Closes: https://bugs.gentoo.org/628734
    Closes: https://bugs.gentoo.org/641176
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Conrad Kostecki <conrad@kostecki.com>
    Closes: https://github.com/gentoo/gentoo/pull/11289
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 sys-fs/cryptmount/Manifest                |  1 +
 sys-fs/cryptmount/cryptmount-5.3.1.ebuild | 75 +++++++++++++++++++++++++++++++
 sys-fs/cryptmount/metadata.xml            | 45 ++++++++++++++++---
 3 files changed, 114 insertions(+), 7 deletions(-)